# Upstream: Max Howell <filelight$methylblue,com>

Summary: Graphical disk usage statistics
Name: filelight
Version: 1.0
Release: 9%{?dist}
License: GPL
Group: Applications/System
URL: http://www.methylblue.com/filelight/

Source: http://www.methylblue.com/filelight/packages/filelight-%{version}.tar.bz2
Patch0: filelight.desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdelibs-devel >= 3.2 desktop-file-utils
Requires: hicolor-icon-theme

%description
Filelight graphically represents a file system as a set of concentric
segmented-rings, indicating where diskspace is being used. Segments
expanding from the center represent files (including directories),
with each segment's size being proportional to the file's size and
directories having child segments.

%prep
%setup -q -n %{name}-%{version}
%patch0 -b .orig

%build
source "/etc/profile.d/qt.sh"
%configure --disable-rpath  #--with-pic
%{__make} %{?_smp_mflags} RPM_OPT_FLAGS="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications/kde \
  --add-category="X-Fedora" --vendor=""               \
  --delete-original					\
  ${RPM_BUILD_ROOT}%{_datadir}/applications/kde/filelight.desktop

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
#%doc %{_docdir}/HTML/en/filelight/
%config %{_datadir}/config/filelightrc
%{_bindir}/filelight
%{_datadir}/applications/kde/filelight.desktop
%{_datadir}/apps/filelight/
%{_datadir}/icons/crystalsvg/*/actions/view_filelight.png
%{_datadir}/icons/hicolor/*/apps/filelight.png
%{_datadir}/services/filelight_part.desktop
%{_libdir}/kde3/libfilelight.la
%{_libdir}/kde3/libfilelight.so


%changelog
* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.0-9
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 11 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-8
- Add --delete-original to desktop-file-install
- Add gtk-update-icon-cache
- fix defattr

* Sat Sep  9 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-7
- Cleanup
- Add req hicolor-icon-theme
- find_lang removed
- qt-devel BR removed

* Wed Sep  6 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-6
- oops, config is for filelightrc
- filelight.desktop patch fed upstream

* Wed Sep  6 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-5
- desktop-install-file per rdieter@math.unl.edu

* Tue Sep  5 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-4
- Put filelightrc in datadir/config

* Tue Sep  5 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-3
- Add dist to release tag
- add delete-original to desktop-file-install
- Fix changelog entries (no macros)

* Tue Sep  5 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-2
- remove files -f
- patch filelight.desktop (remove space)
- mv filelightrc to sysconfdir
- fix buildroot
- setup -q
- Remove Packager

* Sat Sep  2 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-1
- Remove find_lang
- fix icons/hicolor
- --disable-rpath

* Mon Aug 22 2005 Dag Wieers <dag@wieers.com> - 0.6.4-1 - +/
- Initial package. (using DAR)
